Bug 1366203 - set volume options before starting the volume
Summary: set volume options before starting the volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.1.3 Async
Assignee: Devyani Kota
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-08-11 09:53 UTC by SATHEESARAN
Modified: 2019-11-13 09:16 UTC (History)
8 users (show)

Fixed In Version: gdeploy-2.0.1-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 11:34:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0260 normal SHIPPED_LIVE Important: ansible and gdeploy security and bug fix update 2017-02-07 16:32:47 UTC

Description SATHEESARAN 2016-08-11 09:53:09 UTC
Description of problem:
-----------------------
When the volume section is mentioned in the gdeploy conf file along with the set of volume options, volume is actually started and then those options are set on the volume.

Its a good practice to set the list of volume options on the volume and then to start the volume.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
gdeploy-2.0-16

How reproducible:
-----------------
NA

Steps to Reproduce:
-------------------
NA

Actual results:
---------------
volume is started and then the options are set on the volume

Expected results:
-----------------
volume options should be set on the volume and then the volume should be started

Comment 1 SATHEESARAN 2016-09-21 16:42:03 UTC
This is hard requirement for setting up SSL/TLS configuration on the volume.

Comment 3 Sachidananda Urs 2016-10-25 10:58:18 UTC
Commit: https://github.com/gluster/gdeploy/commit/405025b8c0 resolves the issue.
This bug was fixed as part of resolving github issue. Should be available in the latest build. 2.0.1-2

Comment 5 SATHEESARAN 2016-11-07 08:03:13 UTC
Tested with ansible-2.2 and gdeploy-2.0.1-2.el7rhgs

Volume options are first set on the volume and then the volume is started.

Here is snip from the logs to prove the same
<snip>

TASK [Sets options for volume] *************************************************
changed: [host1.example.com] => (item={u'key': u'group', u'value': u'virt'})

PLAY RECAP *********************************************************************
dhcp37-172.lab.eng.blr.redhat.com : ok=1    changed=1    unreachable=0    failed=0   


PLAY [master] ******************************************************************

TASK [Starts a volume] *********************************************************
changed: [host1.example.com]

</snip>

Comment 7 errata-xmlrpc 2017-02-07 11:34:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0260.html


Note You need to log in before you can comment on or make changes to this bug.